<?php
class titre {
	var $analyseur;
	var $fichierXml;
	var $balisesOuvrantes;
	var $balisesFermantes;
	var $force_lib_dep_via_parser;

	function titre ($fichier) {
	$this->fichierXml = $fichier;
	$this->more=false;
	$this->balisesOuvrantes = array(
		"NEWS" 	=>"",
		"HTMLCONTENU"  => "",
		"IMG"  => "",
        	 );

	$this->balisesFermantes = array(
		"NEWS" 	=>"",
		"HTMLCONTENU"  => "",
        	 );
	}

	/*public */function force_lib_dep(){
		return $this->force_lib_dep_via_parser;
	}
	/*private*/ function debutBalise($parser, $nom, $attributs) {
		$CSS_AFTER_BODY=true;
		if (!empty($this->balisesOuvrantes[$nom])) print($this->balisesOuvrantes[$nom]);
                if( $nom == "HTMLCONTENU" )  include("type_parser/htmlcontenu.inc");
		if( $nom == "IMG" ) include("type_parser/img.inc");
	}

	/*private*/function finBalise($parser, $nom) {
		$CSS_AFTER_BODY=true;
		if($nom=="HTMLCONTENU") include("type_parser/htmlcontenu_f.inc");
                if (!empty($this->balisesFermantes[$nom])) print($this->balisesFermantes[$nom]);
        }
	/*private*/function texte($parser, $data) {
		$CSS_AFTER_BODY=true;
	}
	/*private*/function gestionnaireDePI($parser, $cible, $data) {
		require("lib_parser/gestionnaireDePI.inc");
	}
	/*private*/function gestionnaireDeRefExterne($parser, $openEntityNames, $base, $systemId, $publicId) {
		 if(REF_EXT_FOR_PARSE_XML) require("lib_parser/gestionnaireDeRefExterne.inc");
	}
	/*public */function analyser() {
		 require("lib_parser/analyser.inc");
	}
}
?>